Skip to main content
POST
/
platform-api
/
v1
/
customers
/
backoffice_tickets
Get backoffice tickets
curl --request POST \
  --url https://app.sagepilot.ai/platform-api/v1/customers/backoffice_tickets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "<string>"
}
'
[
  {
    "id": "48ee1866-6e3e-47cf-8d85-701b788cd7bd",
    "code": 40,
    "workspace_id": "ab1360ce-ef91-4397-8fbd-3ed77ef80e08",
    "title": "Test Backoffice ticket",
    "status": "new",
    "priority": null,
    "source": "manual",
    "due_date": "2026-05-29T18:30:00Z",
    "created_at": "2026-05-29T17:31:52.862791Z",
    "updated_at": "2026-05-29T17:31:52.862791Z",
    "tags": "[]",
    "assignee_name": "anushkakpawar25"
  }
]
[
  {
    "id": "48ee1866-6e3e-47cf-8d85-701b788cd7bd",
    "code": 40,
    "workspace_id": "ab1360ce-ef91-4397-8fbd-3ed77ef80e08",
    "title": "Test Backoffice ticket",
    "status": "new",
    "priority": null,
    "source": "manual",
    "due_date": "2026-05-29T18:30:00Z",
    "created_at": "2026-05-29T17:31:52.862791Z",
    "updated_at": "2026-05-29T17:31:52.862791Z",
    "tags": "[]",
    "assignee_name": "anushkakpawar25"
  }
]
Get backoffice tickets for a customer in the authenticated workspace.

Required access

AuthenticationScopeDataset grant
API client v2customers:readcustomers

Body

customerId
string
required
Customer UUID to fetch tickets for. Open a customer in the Customer module and use the last UUID in the URL: /dashboard/[workspace_id]/customers/[customer_id]. See Resource IDs.
workspaceId
string
Optional workspace UUID. The authenticated workspace is used by default. Find the current workspace ID in Settings > API Details > Channels. See Resource IDs.
includeLinkedContacts
boolean
default:"false"
Include tickets from linked contacts.

Query parameters

page
integer
default:"1"
Page number.
page_size
integer
default:"20"
Records per page. Maximum value is 200.

Response

[]
object[]
required
Backoffice ticket records for the customer.